Skip to main content
`Ctrl`+`K`

# numpy.ma.atleast_1d

ma.atleast_1d(*arys)

  Convert inputs to arrays with at least one dimension.

  Scalar inputs are converted to 1-dimensional arrays, whilst higher-dimensional inputs are preserved.

  Parameters:
    arys1, arys2, …array_like

      One or more input arrays.

  Returns:
    ret ndarray

      An array, or tuple of arrays, each with `a.ndim >= 1`. Copies are made only if necessary.

  See also

  `atleast_2d`, `atleast_3d`

  Notes

  The function is applied to both the `_data` and the `_mask`, if any.

  Examples

      >>> import numpy as np
      >>> np.atleast_1d(1.0)
      array([1.])

      >>> x = np.arange(9.0).reshape(3,3)
      >>> np.atleast_1d(x)
      array([[0., 1., 2.],
             [3., 4., 5.],
             [6., 7., 8.]])
      >>> np.atleast_1d(x) is x
      True

      >>> np.atleast_1d(1, [3, 4])
      (array([1]), array([3, 4]))